Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Class JAASUserPrincipal.RoleStack

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASUserPrincipal.RoleStack

Enclosing class:
  JAASUserPrincipal

    public static class JAASUserPrincipal.RoleStack

extends Object

RoleStack

Constructor Summary
`JAASUserPrincipal.RoleStack()`

Method Summary
`static void` | `clear()`
`static boolean` | `empty()`
`static JAASRole` | `peek()`
`static void` | `pop()`
`static void` | `push(JAASRole role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAASUserPrincipal.RoleStack

    public JAASUserPrincipal.RoleStack()

Method Detail

### empty

    public static boolean empty()

### push

    public static void push(JAASRole role)

### pop

    public static void pop()

### peek

    public static JAASRole peek()

### clear

    public static void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.